#include "FileTools.h"

#include <cstdio>
#include <exception>

namespace FileTools
{
	
	std::string getFileContent(const std::string & filename)
	{
		FILE * file = std::fopen(filename.c_str(), "r");

		if (file != nullptr)
		{

			char * content;

			std::fseek(file, 0, SEEK_END);
			long file_size = std::ftell(file);
			std::rewind(file);

			content = new char[file_size];

			std::fread(content, file_size, sizeof(char), file);
			std::fclose(file);

			std::string final_content(content);
			delete[] content;

			return final_content;

		}
		
		throw std::exception();
		return nullptr;
	}

}