#ifndef GAME_H
#define GAME_H

#include <iostream>

#include "DataBank.h"

class Game
{
private:

	static Game * m_instance;

	DataBank * m_dataBank;

	Game();

public:

	static Game * instance();

	~Game();

	DataBank & dataBank();
	
};

inline Game::Game() : m_dataBank(DataBank::instance()) {}
inline Game::~Game() { delete m_dataBank; }
inline DataBank & Game::dataBank() { return *m_dataBank; }

#endif // GAME_H