#ifndef LEVEL_H
#define LEVEL_H

#include <string>
#include "Song.h"

class Level
{
private:
	
	std::string m_name;
	Song m_song;

public:

	const std::string & name() const;
	const Song & song() const;
	
};

inline const std::string & Level::name() const { return m_name; }
inline const Song & Level::song() const { return m_song; }

#endif //LEVEL_H