#ifndef PLAYER_H
#define PLAYER_H

#include <string>
#include "PlayerState.h"

class Player
{
private:

	std::string m_nickname;
	PlayerState m_state;

public:

	Player();

	std::string & nickname();
	PlayerState & playerState();
	
};

inline std::string & Player::nickname() { return m_nickname; }
inline PlayerState & Player::playerState() { return m_state; }

#endif // PLAYER_H