#ifndef SONG_H
#define SONG_H

class Song
{
private:
	
	std::string m_name;
	std::string m_author;
	int m_bpm;

public:

	const std::string & name() const;
	const std::string & author() const;
	const int bpm() const;
	
};

inline const std::string & Song::name() const { return m_name; }
inline const std::string & Song::author() const { return m_author; }
inline const int Song::bpm() const { return m_bpm; }

#endif // SONG_H