#include "StringTools.h"

#include <sstream>

namespace StringTools
{

	bool startsWith(std::string haystack, std::string needle)
	{

		std::string::iterator haystackIt	= haystack.begin();
		std::string::iterator needleIt		= needle.begin();

		while (haystackIt != haystack.end() && needleIt != needle.end())
		{
			if (*haystackIt != *needleIt) return false;

			++haystackIt;
			++needleIt;
		}

		return (needleIt == needle.end());
	}

}